Subject: Re: [0/4] GRO optimisations

From: Divy Le Ray <[email-masked]>
Date: Thu, 29 Jan 2009 16:28:57 -0800

Herbert Xu wrote:
> Hi Dave:
>
> This is a dump of my current patches to optimise GRO in order
> to get cxgb3 performance back up to the LRO level.  I've got
> some more ideas but I'd like to get this out first so it doesn't
> rot in my tree.
>
> Oh and of course a direct LRO comparison isn't exactly fair because
> LRO skipped some tests such as checking the IP header checksum
> (naughty :) so the current 5.7 vs. 6.1 figure isn't all that bad.
>
> But I think we should be able to get back to 6Gb/s with cxgb3
>   

Hi Herbert,

I'll give these patches a try within a day or two.
Please note that the 6Gb/s rate is achieved on a low perf server.
Using this server makes it easy to witness the impact of optimizations.
Faster boxes reach line rate.
Just want to make clear that cxgb3 HW is not limited to 6Gb/s ;)

Cheers,
Divy